Share via


Security Advisory Impacted Resources - List By Subscription Id And Event Id

Lists impacted resources in the subscription by an event (Security Advisory).

POST https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.ResourceHealth/events/{eventTrackingId}/listSecurityAdvisoryImpactedResources?api-version=2025-05-01
POST https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.ResourceHealth/events/{eventTrackingId}/listSecurityAdvisoryImpactedResources?api-version=2025-05-01&$filter={$filter}

URI Parameters

Name In Required Type Description
eventTrackingId
path True

string

Event Id which uniquely identifies ServiceHealth event.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

$filter
query

string

The filter to apply on the operation. For more information please see https://docs.microsoft.com/en-us/rest/api/apimanagement/apis?redirectedfrom=MSDN

Responses

Name Type Description
200 OK

eventImpactedResourceListResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

ListSecurityAdvisoryImpactedResourcesBySubscriptionId

Sample request

POST https://management.azure.com/subscriptions/subscriptionId/providers/Microsoft.ResourceHealth/events/BC_1-FXZ/listSecurityAdvisoryImpactedResources?api-version=2025-05-01

Sample response

{
  "nextLink": "{originalRequestUrl}?$skipToken={OpaquePageNumber}",
  "value": [
    {
      "name": "jkl-901-hgy-445",
      "type": "Microsoft.ResourceHealth/events/impactedResources",
      "id": "/subscriptions/{subscripitionId}/providers/Microsoft.ResourceHealth/events/BC_1-FXZ/impactedResources/jkl-901-hgy-445",
      "properties": {
        "info": [
          {
            "key": "key-A",
            "value": "sample-1"
          },
          {
            "key": "key-B",
            "value": "sample-2"
          },
          {
            "key": "key-C",
            "value": "sample-3"
          },
          {
            "key": "key-D",
            "value": "sample-4"
          }
        ]
      }
    },
    {
      "name": "wer-345-tyu-789",
      "type": "Microsoft.ResourceHealth/events/impactedResources",
      "id": "/subscriptions/{subscripitionId}/providers/Microsoft.ResourceHealth/events/BC_1-FXZ/impactedResources/wer-345-tyu-789",
      "properties": {
        "info": [
          {
            "key": "key-E",
            "value": "sample-5"
          },
          {
            "key": "key-F",
            "value": "sample-6"
          },
          {
            "key": "key-G",
            "value": "sample-7"
          },
          {
            "key": "key-H",
            "value": "sample-8"
          }
        ]
      }
    }
  ]
}

Definitions

Name Description
ErrorResponse

Error details.

eventImpactedResource

Impacted resource for an event.

eventImpactedResourceListResult

The List of eventImpactedResources operation response.

keyValueItem

Key value tuple.

ErrorResponse

Error details.

Name Type Description
code

string

The error code.

details

string

The error details.

message

string

The error message.

eventImpactedResource

Impacted resource for an event.

Name Type Description
id

string (arm-id)

Azure Resource Manager Identity for the availabilityStatuses resource.

location

string

Azure Resource Manager geo location of the resource.

name

string

properties.info

keyValueItem[]

Additional information.

properties.targetRegion

string

Impacted resource region name.

properties.targetResourceId

string

Identity for resource within Microsoft cloud.

properties.targetResourceType

string

Resource type within Microsoft cloud.

type

string

Microsoft.ResourceHealth/AvailabilityStatuses.

eventImpactedResourceListResult

The List of eventImpactedResources operation response.

Name Type Description
nextLink

string

The URI to fetch the next page of events. Call ListNext() with this URI to fetch the next page of impacted resource.

value

eventImpactedResource[]

The list of eventImpactedResources.

keyValueItem

Key value tuple.

Name Type Description
key

string

Key of tuple.

value

string

Value of tuple.